CertVerifier (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.security.CertVerifier interface
Date: 2021-05-10

net.sourceforge.jnlp.security

## Interface CertVerifier

- All Known Implementing Classes:
    HttpsCertVerifier, JarCertVerifier

      public interface CertVerifier

  An interface that provides various details about certificates of an app.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAlreadyTrustPublisher()`
    `java.security.cert.CertPath` | `getCertPath(java.security.cert.CertPath certPath)`
    `java.util.List<java.lang.String>` | `getDetails(java.security.cert.CertPath certPath)`
    `java.security.cert.Certificate` | `getPublisher(java.security.cert.CertPath certPath)`
    `java.security.cert.Certificate` | `getRoot(java.security.cert.CertPath certPath)`
    `boolean` | `getRootInCacerts()`
    `boolean` | `hasSigningIssues(java.security.cert.CertPath certPath)`

- - ### Method Detail

    - #### getAlreadyTrustPublisher

          boolean getAlreadyTrustPublisher()

      Returns:
        if the publisher is already trusted

    - #### getRootInCacerts

          boolean getRootInCacerts()

      Returns:
        if the root is in CA certs

    - #### hasSigningIssues

          boolean hasSigningIssues(java.security.cert.CertPath certPath)

      Parameters:
        `certPath` - to be validated
      Returns:
        if there are signing issues with the certificate being verified

    - #### getDetails

          java.util.List<java.lang.String> getDetails(java.security.cert.CertPath certPath)

      Parameters:
        `certPath` - certificate
      Returns:
        the details regarding issue with this certificate

    - #### getCertPath

          java.security.cert.CertPath getCertPath(java.security.cert.CertPath certPath)

      Parameters:
        `certPath` - to be read
      Returns:
        a valid certificate path to this certificate being verified

    - #### getPublisher

          java.security.cert.Certificate getPublisher(java.security.cert.CertPath certPath)

      Parameters:
        `certPath` - to be read for publisher
      Returns:
        the application's publisher's certificate.

    - #### getRoot

          java.security.cert.Certificate getRoot(java.security.cert.CertPath certPath)

      Parameters:
        `certPath` - certificate
      Returns:
        the application's root's certificate. This may return the same certificate as getPublisher(CertPath certPath) in the event that the application is self signed.

Submit a bug or feature